set fish_greeting
set -g theme_display_virtualenv no
set -g theme_display_ruby no

set -g fish_prompt_pwd_dir_length 0

set base00 2D2D2D
set base01 393939
set base02 515151
set base03 747369
set base04 A09F93
set base05 D3D0C8
set base06 E8E6DF
set base07 F2F0EC
set base08 F2777A
set base09 F99157
set base0A FFCC66
set base0B 99CC99
set base0C 66CCCC
set base0D 6699CC
set base0E CC99CC
set base0F D27B53

set -x LESS_TERMCAP_mb (tput blink)
set -x LESS_TERMCAP_md (tput bold)
set -x LESS_TERMCAP_me (tput sgr0)
set -x LESS_TERMCAP_so (tput smso)
set -x LESS_TERMCAP_se (tput rmso)
set -x LESS_TERMCAP_us (tput sitm)
set -x LESS_TERMCAP_ue (tput sgr0)


#if status --is-interactive                                                     
if test "$XDG_CURRENT_DESKTOP" = "i3"
    source $HOME/.config/base16-shell/profile_helper.fish                       
end

function colortest
	~/.config/base16-shell/colortest base16-$argv[1].sh
end

function config
	git --git-dir $HOME/.myconf --work-tree $HOME $argv
end

function rm
	/usr/bin/rm -Iv --preserve-root $argv
end

